> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/it/api-di-posizionamento-annunci.md).

# API di posizionamento annunci

L'API Ad Placement consente agli editori di creare i propri tag pubblicitari. Possono usarla per generare una richiesta di annuncio e ricevere tutti i dati necessari per visualizzare un annuncio.

L'API Ad Placement supporta attualmente i seguenti formati, sia su Desktop che su Mobile: **Banner**, **Banner sticky**, **Messaggi istantanei**, **Interstitial a pagina intera**, **Outstream**, **Slider video**, **Annunci nativi**, **Notifiche push in-page** & **Annunci multi-formato**.

Gli URL da utilizzare come endpoint sono:

* <http://s.pemsrv.com/v1/api.php> per **Interstitial a pagina intera** richieste.
* <http://s.magsrv.com/v1/api.php> per **tutti gli altri formati pubblicitari**.

Le richieste e le risposte sono in JSON.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/it/api-di-posizionamento-annunci.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
